Bug 441437 - Java Web Start crashes with a Null Pointer Exception
Summary: Java Web Start crashes with a Null Pointer Exception
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Joshua Sumali
QA Contact: Fedora Extras Quality Assurance
URL: https://bugs.launchpad.net/ubuntu/+so...
Whiteboard:
Keywords:
Depends On:
Blocks: 443851
TreeView+ depends on / blocked
 
Reported: 2008-04-08 04:06 UTC by Charles R. Anderson
Modified: 2008-04-23 17:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 14:30:08 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Charles R. Anderson 2008-04-08 04:06:25 UTC
Description of problem:

When I run javaws provided by openjdk it crashes with a Null Pointer Exception.

Version-Release number of selected component (if applicable):
1:1.6.0.0-0.7.b08

How reproducible:
always

Steps to Reproduce:
1. run /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/bin/javaws
2. notice "javaws -viewer" works
3. javaws http://java.sun.com/products/javawebstart/apps/notepad.jnlp
  
Actual results:

Exception in thread "main" java.lang.NullPointerException
	at net.sourceforge.jnlp.runtime.InstallDialog.<init>(InstallDialog.java:57)
	at net.sourceforge.jnlp.runtime.InstallDialog.getInstallDir(InstallDialog.java:153)
	at net.sourceforge.jnlp.runtime.JNLPRuntime.getDefaultBaseDir(JNLPRuntime.java:265)
	at net.sourceforge.jnlp.runtime.Boot.getBaseDir(Boot.java:407)
	at net.sourceforge.jnlp.runtime.Boot.run(Boot.java:168)
	at java.security.AccessController.doPrivileged(Native Method)
	at net.sourceforge.jnlp.runtime.Boot.main(Boot.java:159)


Expected results:
no crash

Additional info:

Please see this Ubuntu bug where this issue was already fixed:

https://bugs.launchpad.net/ubuntu/+source/openjdk-6/+bug/205371

Comment 1 Joshua Sumali 2008-04-08 13:18:33 UTC
This issue is currently fixed in the IcedTea repository. It should be included
in the next openjdk build.

Comment 2 Joshua Sumali 2008-04-08 17:59:24 UTC
As a temporary workaround before the next build gets in, "javaws -basedir <cache
dir> <jnlp-file>" should be fine.

Comment 3 Lillian Angel 2008-04-18 14:30:08 UTC
Building new version into rawhide, should be in tomorrow.


Note You need to log in before you can comment on or make changes to this bug.